> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出分析模型

> 返回工作空间中您能打开的分析模型的分页列表

```
GET /openapi/memorylake/api/v3/workspaces/{workspaceId}/analysis-models
```

返回工作空间中您能打开的分析模型。您可以按数据源或模板类型筛选，并使用延续令牌翻页。

> [!NOTE]
>
> **所需权限：** `analysis_model:read` —— 您打不开的模型不会出现在列表里，列表本身不会被拒绝

### 路径参数

**workspaceId** `string` *required*

工作空间 ID

### 查询参数

**db\_datasource\_id** `string`

只返回基于该数据源的模型

**type** `string`

只返回该模板类型的模型，例如 `ASK_DATA`。参见[列出分析模型模板](https://docs.memorylake.cn/features/memorylake/api-reference/database/analysis-models/list-analysis-model-templates.md)。

**page\_size** `integer` (default: 20)

每页返回的模型数量，取值 1 到 100

**continuation\_token** `string`

上一次响应返回的令牌，用于获取下一页。请求第一页时不传。

```bash cURL theme={null}
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws-8001856949ad4f6a5b6226f415ffa877/analysis-models?db_datasource_id=dbds-4b8e2f6a1c9d4e7b8a3f5c2d6e9b1a7c&page_size=20' \
  -H 'Authorization: Bearer sk_xxxxxx'
```

### 响应

**data** `object`

**分析模型分页列表**

**items** `array`

分析模型对象数组

**分析模型对象**

**id** `string`

分析模型标识符，请把它当作不透明字符串处理。

**name** `string`

显示名称

**description** `string`

自由格式的描述

**type** `string`

模型遵循的模板，例如 `ASK_DATA`。它决定模型接受哪些类型的知识。

**schemas** `array`

模型覆盖的 schema，继承自其数据源

**custom\_id** `string`

您为这个模型设置的自定义标识符（如果设置过）

**db\_datasource\_id** `string`

模型所基于的数据源

**workspace\_id** `string`

模型所属的工作空间

**fork\_from** `string`

这个模型派生自的源模型。从零创建的模型不返回该字段。

**created\_at** `string`

创建时间戳

**updated\_at** `string`

最后更新时间戳

**continuation\_token** `string`

用于获取下一页结果的令牌。最后一页不返回该字段。

**total** `integer`

所有页中符合条件的模型总数。当列表按您的权限逐行过滤时不返回该字段，此时请用 `continuation_token` 翻页。

```json Success (200) theme={null}
{
  "success": true,
  "data": {
    "items": [
      {
        "id": "am-9d3f7b1e5a2c4d8f6b0e3a7c9d1f5b2e",
        "name": "Sales Q&A",
        "description": "Answers questions about orders and revenue",
        "type": "ASK_DATA",
        "schemas": ["sales"],
        "custom_id": "sales-qa",
        "db_datasource_id": "dbds-4b8e2f6a1c9d4e7b8a3f5c2d6e9b1a7c",
        "workspace_id": "ws-8001856949ad4f6a5b6226f415ffa877",
        "created_at": "2026-09-21T09:14:05.612Z",
        "updated_at": "2026-09-21T09:14:05.618Z"
      }
    ]
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.